Module jdk.compiler
Package com.sun.source.doctree

## Interface SummaryTree

- All Superinterfaces:
    `DocTree`, `InlineTagTree`

      public interface SummaryTree
      extends InlineTagTree

  A tree node for an @summary inline tag.

  {@summary text}

  Since:
    10

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in interface com.sun.source.doctree.DocTree

      `DocTree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<? extends DocTree>` | `getSummary()` | Returns the summary or the first line of a comment.

    - ### Methods declared in interface com.sun.source.doctree.DocTree

      `accept, getKind`

    - ### Methods declared in interface com.sun.source.doctree.InlineTagTree

      `getTagName`

- - ### Method Detail

    - #### getSummary

          List<? extends DocTree> getSummary()

      Returns the summary or the first line of a comment.
      Returns:
        the summary text